/**
  ******************************************************************************
  * @file    SysTick_Delay.h
  * @author  SINOMCU-AE
  * @brief   Header file of SysTick_Delay.c file.
  *   
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, SinoMCU shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#ifndef __SYSTICK_DELAY_H
#define __SYSTICK_DELAY_H

#include "ms32f0xx.h"

typedef enum
{
  SF_TIMER_STOP = 0U,
  SF_TIMER_RUN,
  SF_TIMER_OV
} SoftTimerStatus;

void SysTick_Init(void);
void SysTickDelay_Callback(void);
void Start_10MS_SF_Timer(void);
void Stop_10MS_SF_Timer(void);
SoftTimerStatus Get_State_10MS_SF_Timer(void);
void Start_100MS_SF_Timer(void);
void Stop_100MS_SF_Timer(void);
SoftTimerStatus Get_State_100MS_SF_Timer(void);
void Start_User_MS_SF_Timer(uint16_t delay_ms);
void Stop_User_MS_SF_Timer(void);
SoftTimerStatus Get_State_User_MS_SF_Timer(void);
void SysTick_Ms(volatile uint32_t Cnt);

#endif /* __SYSTICK_DELAY_H */

/******************************** END OF FILE *********************************/
